package egotham.flexibleloadcontrol;

import egotham.sdi.model.DiscreteValue;
import egotham.sdi.model.RealValue;
import java.util.List;

/**
 *
 * @author ted
 *
 * Interface for all inputs and outputs
 */
public interface InOutAll {

    public List<RealValue> consumptionData(int relayNumber, long startTime, long endTime, int resultLimit);

    public boolean activateRelay(int relayNumber) throws Exception;

    public boolean deactivateRelay(int relayNumber) throws Exception;

    public boolean statusRelay(int relayNumber) throws Exception;

    public List<DiscreteValue> fullConsumption(int N, long startTime, long endTime) throws Exception;

    public long[][] gettariff(long endTime) throws Exception;

    public double getTemperature(int sensorNumber);

    public double getConsumptionCap();

    public long getCurrentTime();

}
