package egotham.flexibleloadcontrol.Optimisation;

import egotham.flexibleloadcontrol.control.UtilityControl;
import java.util.List;

/**
 * Optimisation Interface
 *
 * @author ted
 */
public interface Optimisation {

    /**
     *
     * @param utils full List of Utilities to be optimised
     * @param active list containing the result of the optimisation, active
     * utilities
     * @param inactive list containing the result of the optimisation, inactive
     * utilities
     * @return
     */
    public boolean optimise(List<UtilityControl> utils, List<UtilityControl> active, List<UtilityControl> inactive);
}
