package egotham.flexibleloadcontrol.SortingTechnique;

import egotham.flexibleloadcontrol.control.UtilityControl;
import java.util.List;

/**
 * Interface for sorting techniques
 *
 * @author ted
 */
public interface SortingTechnique {

    /**
     *
     * @param utilities handles a list of utilities and sorts them
     * @param totalUtilities has all utilities
     * @return returns the sorted list
     */
    public List<UtilityControl> sort(List<UtilityControl> utilities, List<UtilityControl> totalUtilities);
}
